local lib = {}
lib.events = {}

lib.events.on_game_created_from_scenario = function(evt)
    local f = game.forces.player
    f.research_all_technologies()
end

lib.events.on_player_created = function(evt)
    local p = game.get_player(evt.player_index)
    p.cheat_mode = true
    p.clear_recipe_notifications()
    p.set_controller({ type = defines.controllers.editor })
    game.tick_paused = false -- entering editor enables pause by default
end

require("event_handler").add_lib(lib)
